Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85969 - logrotate enters inconsistent state if /var is full prior to run
Summary: logrotate enters inconsistent state if /var is full prior to run
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate
Version: 7.2
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-11 17:46 UTC by Jeff Lawson
Modified: 2015-01-08 00:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-25 18:36:20 UTC


Attachments (Terms of Use)

Description Jeff Lawson 2003-03-11 17:46:49 UTC
Description of problem:
The lograte utility enters inconsistent state if /var is full prior to run. It 
creates a 0 byte file at "/var/lib/logrotate.status". On subsequent runs (even 
once there is space available on /var) it aborts with the error "error: error 
reading top line of /var/lib/logrotate.status"

This causes any new logs to not be archived and potentially be lost entirely.

Version-Release number of selected component (if applicable):

# /usr/sbin/logrotate -v
logrotate 3.5.9 - Copyright (C) 1995-2001 Red Hat, Inc.

# rpm -qa | grep logr
logrotate-3.5.9-1

How reproducible:
Always

Steps to Reproduce:
1. fill /var
2. run logrotate

or

1. rm /var/lib/logrotate.status
2. touch /var/lib/logrotate.status
3. /usr/sbin/logrotate /etc/logrotate.conf

Actual Results:  logrotate aborts with error

Expected Results:  logrotate rotates logs

Comment 1 Jeff Lawson 2003-03-25 17:46:16 UTC
This appears to have been fixed in 3.6.1 of logrotate, meaning that RedHat 7.3 
includes this updated version.  We're running RedHat 7.2, for which the latest 
version is logrotate-3.5.9-1



Note You need to log in before you can comment on or make changes to this bug.